namespace elm { 
inline ::efl::eolian::return_traits<Elm_Calendar_Weekday>::type Calendar::first_day_of_week_get() const
{
   Elm_Calendar_Weekday __return_value =  ::elm_obj_calendar_first_day_of_week_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Weekday>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::first_day_of_week_set( ::efl::eolian::in_traits<Elm_Calendar_Weekday>::type day) const
{
    ::elm_obj_calendar_first_day_of_week_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Weekday,  ::efl::eolian::in_traits<Elm_Calendar_Weekday>::type>(day));
}
inline ::efl::eolian::return_traits<Elm_Calendar_Selectable>::type Calendar::selectable_get() const
{
   Elm_Calendar_Selectable __return_value =  ::elm_obj_calendar_selectable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Selectable>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::selectable_set( ::efl::eolian::in_traits<Elm_Calendar_Selectable>::type selectable) const
{
    ::elm_obj_calendar_selectable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Selectable,  ::efl::eolian::in_traits<Elm_Calendar_Selectable>::type>(selectable));
}
inline ::efl::eolian::return_traits<double>::type Calendar::interval_get() const
{
   double __return_value =  ::elm_obj_calendar_interval_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::interval_set( ::efl::eolian::in_traits<double>::type interval) const
{
    ::elm_obj_calendar_interval_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(interval));
}
inline ::efl::eolian::return_traits<Elm_Calendar_Select_Mode>::type Calendar::select_mode_get() const
{
   Elm_Calendar_Select_Mode __return_value =  ::elm_obj_calendar_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Select_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::select_mode_set( ::efl::eolian::in_traits<Elm_Calendar_Select_Mode>::type mode) const
{
    ::elm_obj_calendar_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Select_Mode,  ::efl::eolian::in_traits<Elm_Calendar_Select_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<void>::type Calendar::min_max_year_get( ::efl::eolian::out_traits<int>::type min,  ::efl::eolian::out_traits<int>::type max) const
{
   int __out_param_min = {};
   int __out_param_max = {};
    ::elm_obj_calendar_min_max_year_get(this->_eo_ptr()
      , & __out_param_min
      , & __out_param_max);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(min, __out_param_min);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(max, __out_param_max);
}
inline ::efl::eolian::return_traits<void>::type Calendar::min_max_year_set( ::efl::eolian::in_traits<int>::type min,  ::efl::eolian::in_traits<int>::type max) const
{
    ::elm_obj_calendar_min_max_year_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(min)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(max));
}
inline ::efl::eolian::return_traits<void>::type Calendar::format_function_set( ::efl::eolian::in_traits<Elm_Calendar_Format_Cb>::type format_function) const
{
    ::elm_obj_calendar_format_function_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Format_Cb,  ::efl::eolian::in_traits<Elm_Calendar_Format_Cb>::type>(format_function));
}
inline ::efl::eolian::return_traits<bool>::type Calendar::selected_time_get( ::efl::eolian::inout_traits<Efl_Time>::type selected_time) const
{
   Efl_Time __out_param_selected_time = ::efl::eolian::convert_inout<Efl_Time, Efl_Time>(selected_time);
   Eina_Bool __return_value =  ::elm_obj_calendar_selected_time_get(this->_eo_ptr()
      , & __out_param_selected_time);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<Efl_Time>::type, Efl_Time>(selected_time, __out_param_selected_time);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::marks_clear() const
{
    ::elm_obj_calendar_marks_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Calendar::marks_draw() const
{
    ::elm_obj_calendar_marks_draw(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Calendar::displayed_time_get( ::efl::eolian::inout_traits<Efl_Time>::type displayed_time) const
{
   Efl_Time __out_param_displayed_time = ::efl::eolian::convert_inout<Efl_Time, Efl_Time>(displayed_time);
   Eina_Bool __return_value =  ::elm_obj_calendar_displayed_time_get(this->_eo_ptr()
      , & __out_param_displayed_time);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<Efl_Time>::type, Efl_Time>(displayed_time, __out_param_displayed_time);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<Elm_Calendar_Weekday>::type Calendar::first_day_of_week_get() const
{
   Elm_Calendar_Weekday __return_value =  ::elm_obj_calendar_first_day_of_week_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Weekday>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::first_day_of_week_set( ::efl::eolian::in_traits<Elm_Calendar_Weekday>::type day) const
{
    ::elm_obj_calendar_first_day_of_week_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Weekday,  ::efl::eolian::in_traits<Elm_Calendar_Weekday>::type>(day));
}
inline ::efl::eolian::return_traits<Elm_Calendar_Selectable>::type Calendar::selectable_get() const
{
   Elm_Calendar_Selectable __return_value =  ::elm_obj_calendar_selectable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Selectable>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::selectable_set( ::efl::eolian::in_traits<Elm_Calendar_Selectable>::type selectable) const
{
    ::elm_obj_calendar_selectable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Selectable,  ::efl::eolian::in_traits<Elm_Calendar_Selectable>::type>(selectable));
}
inline ::efl::eolian::return_traits<double>::type Calendar::interval_get() const
{
   double __return_value =  ::elm_obj_calendar_interval_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::interval_set( ::efl::eolian::in_traits<double>::type interval) const
{
    ::elm_obj_calendar_interval_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(interval));
}
inline ::efl::eolian::return_traits<Elm_Calendar_Select_Mode>::type Calendar::select_mode_get() const
{
   Elm_Calendar_Select_Mode __return_value =  ::elm_obj_calendar_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Calendar_Select_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::select_mode_set( ::efl::eolian::in_traits<Elm_Calendar_Select_Mode>::type mode) const
{
    ::elm_obj_calendar_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Select_Mode,  ::efl::eolian::in_traits<Elm_Calendar_Select_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<void>::type Calendar::min_max_year_get( ::efl::eolian::out_traits<int>::type min,  ::efl::eolian::out_traits<int>::type max) const
{
   int __out_param_min = {};
   int __out_param_max = {};
    ::elm_obj_calendar_min_max_year_get(this->_eo_ptr()
      , & __out_param_min
      , & __out_param_max);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(min, __out_param_min);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(max, __out_param_max);
}
inline ::efl::eolian::return_traits<void>::type Calendar::min_max_year_set( ::efl::eolian::in_traits<int>::type min,  ::efl::eolian::in_traits<int>::type max) const
{
    ::elm_obj_calendar_min_max_year_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(min)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(max));
}
inline ::efl::eolian::return_traits<void>::type Calendar::format_function_set( ::efl::eolian::in_traits<Elm_Calendar_Format_Cb>::type format_function) const
{
    ::elm_obj_calendar_format_function_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Calendar_Format_Cb,  ::efl::eolian::in_traits<Elm_Calendar_Format_Cb>::type>(format_function));
}
inline ::efl::eolian::return_traits<bool>::type Calendar::selected_time_get( ::efl::eolian::inout_traits<Efl_Time>::type selected_time) const
{
   Efl_Time __out_param_selected_time = ::efl::eolian::convert_inout<Efl_Time, Efl_Time>(selected_time);
   Eina_Bool __return_value =  ::elm_obj_calendar_selected_time_get(this->_eo_ptr()
      , & __out_param_selected_time);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<Efl_Time>::type, Efl_Time>(selected_time, __out_param_selected_time);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Calendar::marks_clear() const
{
    ::elm_obj_calendar_marks_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Calendar::marks_draw() const
{
    ::elm_obj_calendar_marks_draw(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Calendar::displayed_time_get( ::efl::eolian::inout_traits<Efl_Time>::type displayed_time) const
{
   Efl_Time __out_param_displayed_time = ::efl::eolian::convert_inout<Efl_Time, Efl_Time>(displayed_time);
   Eina_Bool __return_value =  ::elm_obj_calendar_displayed_time_get(this->_eo_ptr()
      , & __out_param_displayed_time);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<Efl_Time>::type, Efl_Time>(displayed_time, __out_param_displayed_time);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline elm::Calendar::operator ::elm::Calendar() const { return *static_cast< ::elm::Calendar const*>(static_cast<void const*>(this)); }
inline elm::Calendar::operator ::elm::Calendar&() { return *static_cast< ::elm::Calendar*>(static_cast<void*>(this)); }
inline elm::Calendar::operator ::elm::Calendar const&() const { return *static_cast< ::elm::Calendar const*>(static_cast<void const*>(this)); }
} }

